Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.sampler
Class ScheduledSamplerJob

    java.lang.Object
      kieker.monitoring.core.sampler.ScheduledSamplerJob

All Implemented Interfaces:
  Runnable

    public class ScheduledSamplerJob

extends Object
implements Runnable

Since:
  1.3
Author:
  Andre van Hoorn

Constructor Summary
`ScheduledSamplerJob(IMonitoringController monitoringController, ISampler sensor)` Constructs a new `ScheduledSamplerJob` with the given parameters.

Method Summary
`ScheduledFuture<?>` | `getFuture()`
`void` | `run()` Throws a `RuntimeException` if an error occurred.
`void` | `setFuture(ScheduledFuture<?> future)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduledSamplerJob

    public ScheduledSamplerJob(IMonitoringController monitoringController,
                               ISampler sensor)

  Constructs a new `ScheduledSamplerJob` with the given parameters.

  Parameters:
    `monitoringController` - used to log the sampled data (represented as `IMonitoringRecord`s) via `IWriterController.newMonitoringRecord(kieker.common.record.IMonitoringRecord)`.
    `sensor` - sampler to be trigger via `ISampler.sample(IMonitoringController)`

Method Detail

### run

    public final void run()
                   throws RuntimeException

  Throws a `RuntimeException` if an error occurred.

  Specified by:
    `run` in interface `Runnable`
  Throws:
    `RuntimeException`

### setFuture

    public void setFuture(ScheduledFuture<?> future)

  Parameters:
    `future` - The new future object.

### getFuture

    public ScheduledFuture<?> getFuture()

  Returns:
    the `ScheduledFuture` which allows to cancel future executions of this `ScheduledSamplerJob`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net